profile-image

fr33mind

carlos pais

Belle

Graphics Jun 14 2015
Score 54%
54 Likes
46 Dislikes

Belle

Graphics Jun 14 2015
Score 56%
56 Likes
44 Dislikes

scOpe

System Software Oct 27 2011
Score 57%
57 Likes
43 Dislikes

Quickbar

Utilities Sep 23 2011
Score 50%
50 Likes
50 Dislikes

Quickbar

Utilities Sep 23 2011
Score 52%
52 Likes
48 Dislikes

WatchVideo

Web Jul 12 2011
Score 60%
60 Likes
40 Dislikes

WatchVideo

Web Jul 12 2011
Score 58%
58 Likes
42 Dislikes

GNU/LinuxSCS

GDM Themes Apr 09 2010
Score 59%
59 Likes
41 Dislikes

GNU/Linux

Wallpaper Other Nov 12 2009
Score 52%
52 Likes
48 Dislikes
Belle 0.6 alpha Graphics
11 comments
Score 56%
56 Likes
44 Dislikes
Jun 14 2015
Hi,

Which one are you trying to download? Can you try again?

Thanks. Sep 12 2014
As you requested, the add character dialog window was redesigned a bit, the character states are now editable after character has been created and you can change states during gameplay with the Change State action.

Enjoy! Sep 11 2014
Hey,

Good points. Unfortunately both the editing of the character and changing character's state during game is not implemented yet :(. I know, it's something basic that's missing. I've put a note here to implement that thing as soon as possible.
Thanks for your feedback. Aug 04 2014
Great, thanks!
Let's hope i can move this to a stable version. :) Aug 04 2014
Sorry, i don't understand your question? Jun 30 2014
Belle 0.6 alpha Graphics
12 comments
Score 54%
54 Likes
46 Dislikes
Jun 14 2015
Quote:Hi, I got the new build. Here are my impressions so far. Its overal much better than 0.2- now I can run the game!
Great. Yes i fixed many bugs/crashes and improved many things. :)

Quote: 1. firefox runs the game flawlessly from local hd, while chrome gets stuck on the loading bar.
Are you double-clicking the HTML file? If so, that will never work with Chrome, unfortunately. Chrome limits its functionality for security reasons when opening local HTML pages, so the game won't even run.
Please read the part of offline distribution here: http://www.nongnu.org/belle/docs/distribution.html

Quote:2. One can select a browser in the settings window, but there is no command in the menus to run test in browser
There's a run button on the toolbar. But yes, i should add an option to a menu.

Quote:3. It's hard to save progress, wheres ctrl+s? :(
Instead one has to reexport on every save.
You're absolutely right. I'm going to add it in 0.4.

Quote:4. After installing it from deb, I still need to point out where the engine path is in the settings window before being able to save. Some new users might find this intimidating.Would be nice to have a default path that points to where it's installed by default.
Yes, i'm aware of that. The engine files are actually already in your system, the problem is, in the code, i need to point to a particular directory when using a gnu/linux system. Since i made the debs after releasing 0.3, i didn't bother to change the code. I thought of postponing that change to 0.4.

Quote: You might already know about these things. Let me know if you like me to submit to a bug tracker- I wanna help in any way I can as this is a really promissing project!!
You can submit bugs/features, if you want, here: https://savannah.nongnu.org/bugs/?group=belle&func=additem (no registration required) Apr 18 2013
Hi again,
Thanks for your support. I think HTML5 is really the way to go for visual novels, since it can quite easily handle this type of game, plus it gives an unbeatable portability. Btw, which visual novel engines do you know that work with HTML5?

About running the game, the problem is probably with the game file generated by the editor. Can you tell me what you tried to do or can you provide me that game file so i can check?
There's also another alternative, in chrome you can also right click anywhere on a page and select "Inspect element" or something similar. This option opens a mini-window at the bottom where you can check the properties of the page you're currently viewing. So open that tool before running your game and switch to the Console section. Error messages (they should be red) and other messages should appear on that tool. If you could then just copy those messages and paste them somewhere where i can see them it would be great.

About motion paths, they don't seem very difficult to implement, although i think there are more important features to implement for now. Anyway there is already a Slide action that lets you move from point A to point B. I know it's not the same thing, but at least already gives some moving animation. :)

Svg animation seems like a good feature for the future, but now, like with the motion path, i think there are more important stuff to implement.

Btw, i already implemented support for gif files in the editor, now i need to implement in the engine. Do you think animated backgrounds is worth doing? Dec 21 2012
Hi,
Thanks for your feedback.
About the animated images, i'm working on that now. ;)
Buttons are already available and what exactly are motion paths?

Actually there is a run button (http://picpaste.com/run-button-qnKA1GEA.png), how exactly did you test your game? and why was it impossible to run the game in the browser?
And about you not being able to change the browser that's somewhat true, i'll add an option for that in the next version, however, in the meantime, you can always set your favorite browser as the default application that opens HTML pages. If you have any question let me know. By the way, which OS are you using?

Just as a final note, i understand your fustration and i hope you keep interested in this project, however, i just wanted to say that it is very hard for Belle to reach the maturity level of the engines out there within a couple of months, while all the other engines have years of development behind them. Dec 19 2012
Thanks. About your question, you mean animated images? Dec 19 2012
WatchVideo 2.2.1 beta Web
55 comments
Score 60%
60 Likes
40 Dislikes
Jul 12 2011
Oh i think i know what the problem is. Is the video a Webm video? Feb 01 2012
Upgrade GetMediumUrl with the following command:
'sudo easy_install --upgrade getmediumurl'
or with pip:
'sudo pip install --upgrade --no-deps getmediumurl' Jan 29 2012
I'm guessing youtube changed something. I'll talk to the developer of GetMediumUrl, which is the program Watchvideo uses for retrieving links from youtube-like sites. Jan 27 2012
Hmn, does the program output anything in the terminal? Jan 24 2012
Hey,
I'm a bit busy right now with other stuff. But try to delete the file 'watchvideo.conf' in $HOME/.config/WatchVideo

Thanks for giving feedback. Jan 23 2012
About your sound problem, if you're using VLC directly it's a problem related to VLC, so i can't do anything about it. :(

When you use the search you can either play (by double-clicking the item), download or copy the link to the page. These last two are accessible by selecting and right clicking the item(s).

The icons from the toolbar (add videos, search browser, clipboard, play download, clear completed) don't have any effect on search items.
You can try this: copy a link to the clipboard and then press Play or Download button.

What Firefox version do you have?
Firefox 4.x doesn't work. :( I don't know if i should keep improving that feature, because it becomes slow and thus a bit useless if you have tons of tabs and/or windows.



May 26 2011
Where did you try to play the video? directly in VLC? or through WatchVideo?
If you tried in VLC and the sound didn't work, that's some issue with VLC.
May 26 2011
And it only happens with Vimeo? That's strange.
Well in the new version (not yet released) i have no problems.
I plan to release the new version soon. Mar 04 2011
Hello,

Thank you for your appreciation.
Try changing your user agent in VLC, it worked for me.

How-to:
In preferences set the detailed view and go to:
input and codecs->access modules->HTTP(S)
And in the 'user agent' box put this:
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.1) Gecko/20090718 IceCat/3.5.3


Also you said the progress bar didn't show? the CLI progress bar? Mar 02 2011
Hello,

Thank you for your appreciation.
Try changing your user agent in VLC, it worked for me.

How-to:
In preferences set the detailed view and go to:
input and codecs->access modules->HTTP(S)
And in the 'user agent' box put this:
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.1) Gecko/20090718 IceCat/3.5.3


Also you said the progress bar didn't show? the CLI progress bar? Mar 02 2011
No problem. ;) Jan 02 2011
Hi,

Sorry for the delay.
I installed Chakra on my laptop, i'll try to solve this issue. :)

Btw, Chakra looks fantastic. ;) Dec 22 2010
Hello,

The dependency checking of setuptools (like some others) was inaccurate.
I've fixed that in the newest revision (svn).

But do you have any problems running the setup.py script?

Thanks for taking time to help. :) Dec 17 2010
WatchVideo 2.2.1 beta Web
33 comments
Score 58%
58 Likes
42 Dislikes
Jul 12 2011
For people having problems with Youtube, upgrade GetMediumUrl with the following command:
'sudo easy_install --upgrade getmediumurl'
or using pip:
'sudo pip install --upgrade --no-deps getmediumurl'. Jan 29 2012
Sorry for the double post before, i don't know why it happened.
Anyway, i'm here to let you and everyone else know a new version of GetMediumUrl has been released and it should fix the recent problems with Youtube.
You can easily update it with the following command as root/superuser:
easy_install -U getmediumurl

Jul 28 2011
Hello,

The problem is not in watchvideo's code, but in GetMediumUrl. The reason is that Youtube is changing their videos to Webm and GetMediumUrl 0.0a2 doesn't support that, so it outputs a NotImplementedError, although that's not shown in the GUI.

I just talked to the developer of GetMediumUrl, he said he was busy but will upload a new package to PyPi later this week. I'll let you know here when that happens exactly and then you can update it with the command "easy_install -U getmediumurl".

Meanwhile i'll make some deb packages (and hopefully others) for WatchVideo and GetMediumUrl (with the fix).
Jul 27 2011
Hello,

The problem is not in watchvideo's code, but in GetMediumUrl. The reason is that Youtube is changing their videos to Webm and GetMediumUrl 0.0a2 doesn't support that, so it outputs a NotImplementedError, although that's not shown in the GUI.

I just talked to the developer of GetMediumUrl, he said he was busy but will upload a new package to PyPi later this week. I'll let you know here when that happens exactly and then you can update it with the command "easy_install -U getmediumurl".

Meanwhile i'll make some deb packages (and hopefully others) for WatchVideo and GetMediumUrl (with the fix).
Jul 27 2011
Hello,

Thanks for your appreciation. :)
I've uploaded a new version, with only small bug fixes, which includes a fix to that problem you mentioned. ;)
If anything is not working properly let me know.
Jul 12 2011
No problem. So you installed in a different directory? Jan 04 2011
Hi,

Yes that means you have it installed.
The error is about WatchVideo's version.
How did you install it? Jan 03 2011
Yes, if you want to use the built-in player. It is more mature now, but may still have some issues.

I changed to VLC because with MPlayer i was having some issues.
You'll need libVLC and/or VLC, depending on how your distro packages VLC and it's libraries.
If you have both libVLC and VLC available, you should install both.

Bye. Jan 02 2011
Do you have GetMediumUrl installed?
You can test it by trying the following command:
python -c "import getmediumurl"

In case you don't have it, you need to install it first. It's easier if you have "easy_install", that should be on the "setuptools" package.
After you installed setuptools (if you didn't have it already) do:
easy_install getmediumurl

Tell me how it goes, thanks. Jan 02 2011
Do you have GetMediumUrl installed?
You can test it by trying the following command:
python -c "import getmediumurl"

In case you don't have it, you need to install it first. It's easier if you have "easy_install", that should be on the "setuptools" package.
After you installed setuptools (if you didn't have it already) do:
easy_install getmediumurl

Tell me how it goes, thanks. Jan 02 2011
scOpe 0.4 alpha System Software
28 comments
Score 57%
57 Likes
43 Dislikes
Oct 27 2011
Ignore the above post, it's a repost. I forgot that when you try to reload the page after posting it will repost. Sorry. Oct 28 2011
Quote:I've some suggestions regarding the icons... they
are hardcoded to search for oxygen icons... this is
not optimal, at least not for me as I tend to use
more monochromatic themes. so maybe looks for the
icon from the theme instead?
Yes, in fact some icons are hardcoded, like the arrows in navigation bar. I need to change that.
There is already code written to get icons using the freedesktop specification, so most of the hard part is done.


Quote:it works but it's not optimal either...
then I "fixed" the statusbar icons the same way :)
Hmn you say that isn't optimal, why?
I have a class called FileIconProvider in file_icon_provider.hpp that gets the icons, but it still uses QIcon::fromTheme() if you have a Qt version >=4.6, since Qt's implementation is slightly faster.Although i think my implementation provides more icons.

Quote:Anyways, are u still developing this?
Yes, the latest version was released two days ago. I'll have less time in the next few months due to works and exams, but i'll try to keep releasing new versions.
Keep giving sugestions, bug reports or even code. I created a project page on Savannah so people can submit bug reports, but i'm still waiting for approval. In the meantime let me know here, or if you prefer you can always let me know here Oct 28 2011
Quote:I've some suggestions regarding the icons... they
are hardcoded to search for oxygen icons... this is
not optimal, at least not for me as I tend to use
more monochromatic themes. so maybe looks for the
icon from the theme instead?
Yes, in fact some icons are hardcoded, like the arrows in navigation bar. I need to change that.
There is already code written to get icons using the freedesktop specification, so most of the hard part is done.


Quote:it works but it's not optimal either...
then I "fixed" the statusbar icons the same way :)
Hmn you say that isn't optimal, why?
I have a class called FileIconProvider in file_icon_provider.hpp that gets the icons, but it still uses QIcon::fromTheme() if you have a Qt version >=4.6, since Qt's implementation is slightly faster.Although i think my implementation provides more icons.

Quote:Anyways, are u still developing this?
Yes, the latest version was released two days ago. I'll have less time in the next few months due to works and exams, but i'll try to keep releasing new versions.
Keep giving sugestions, bug reports or even code. I created a project page on Savannah so people can submit bug reports, but i'm still waiting for approval. In the meantime let me know here, or if you prefer you can always let me know here Oct 28 2011
Hey,

Thanks for the feedback.

Quote:However, I run into some bugs with the "navbar".
is this ur own custom widget or is there some
qt only equivalent to the KUrlNavigator?
Some things are custom others are already provided by Qt. What are you talking about exactly?

Quote:The bookmarkssystem, have u planned
putting it into a QDockWidget or some other
like a view with a QSplitter? having only a
menusystem for this is...... too slow for me.
(did not find anythign regarding this in todo)

Yes, definetly. The ToDo file isn't very reliable, i need to update it.

Quote:Also, there could be some toggleable (not sure
how to spell that) QToolButtons for the view
for easy swith....
Yes, that's a good idea. :)

Quote:Sry bout the 20 questions but I feel kinda
excited about this little program :D
You didn't ask 20 questions :P, but anyway i'm glad to see you are interested in this program.

Quote:I have also planned on trying to write a similar
qt file manager however, I've neither the time
nor the skills :(
I understand, i have some time because i'm a student.

Oct 28 2011
Yea, it really is odd.
I will test it in Razor-Qt to see if i can notice anything else. Oct 11 2011
Grab the latest SDK from http://qt.nokia.com/downloads
Then using QtCreator just open the scope.pro, that is located in scope's source root folder.
After that it should be pretty straight forward. Oct 11 2011
Hey,

Glad to see some interest from other OSes. About your question, well i don't really know. But have you tried it in Windows? It should be cross-platform, although there might be some platform specific code i haven't ported to other OSes.
Let me know what's missing. Oct 09 2011
Quote:The panel show oxugen icons for folders, but it are not used in folder view. Personaly, i prefer the oxygen icon, but the icons must have to be the same.
Here they are the same, which system are you using?
Anyway i'll look into it.

Quote:The views (icon, list, terminal) wold have a shortcut. I suggest f2, f3 and f4 if you want only 3 views, or a single shortcut for change the view mode (i prefer f4)
In my system the mime types are not associated with programs. XDG provides this lists, i think.
And, the zoom must be changed with control + mouse wheel.
Ok, eventually this will be implemented. I appreciate the suggestions.
Oct 09 2011
Hey, thanks. What about your project? Oct 06 2011
It's the same issue as before. (get/set)textMargins() require Qt versions newer than 4.4. :(
The other issue was easy to fix. But this is more complicated, first because i didn't produce that code and secondly i would have to simulate the textMargin's behaviour.

The best i can do now is check for the Qt version and if it is below a certain version, disable that feature, so you can compile and run it.
I don't have much time now even to do that, but i'll try to be as quick as possible.

Thanks. May 30 2011
I uploaded a new source package and replaced length() calls with size() which should be available for older Qt versions.

May 27 2011
Sorry to double post, but i re-uploaded it with a fix for the folder i told about in the previous comment and also a fix for your problem (i hope).
Download it again and let me know. :)

Thanks for reporting. Apr 21 2011
Hello,

About your problem, which Qt version are you using?
I tried to compile a brand new package i downloaded from here and it worked. Although it had a duplicate scope/ folder in it (that i'll fix now). Apr 20 2011
TransferMe 1.0.2 beta Network
16 comments
Score 54%
54 Likes
46 Dislikes
Sep 15 2011
Hey,
I think you misunderstood the definition of "Free Software" and "Proprietary Software".
Free Software is software that gives users freedom to study, change and redistribute the program. So distributing the source code is a prerequisite for this.
In other words, Free software is not about money, but about freedom. This means you can sell Free Software or not, just like you can sell Proprietary software or not.

Your application is in the category of Proprietary and free (as in zero price), usually called Freeware, which is totally different from Free Software as i explained above.

Checkout these wikipedia links:
https://secure.wikimedia.org/wikipedia/en/wiki/Free_software
https://secure.wikimedia.org/wikipedia/en/wiki/Proprietary_software

I have no problem whatsoever with you releasing proprietary software, it's your program, it's your choice. However this is not the correct place for publishing Proprietary software, that's why you got some comments asking for the source code. ;) Sep 10 2011
Hey,
Sad to hear that. In that case you should move your project to www.qt-prop.org. Sep 10 2011
Quickbar 0.2.1 alpha Utilities
2 comments
Score 52%
52 Likes
48 Dislikes
Sep 23 2011
Thanks. Sep 09 2011
gnurpgm 0.2-2 Games Other
13 comments
Score 61%
61 Likes
39 Dislikes
Jul 19 2011
Ah sorry, my mistake. I was clicking in "GNURPGM Interpreter - Source Code (tar.gz)" and it said it didn't work and i didn't saw the other link right beside it. (silly me)

Sorry for the misunderstanding and keep up the good work. ;)
(If you need another C++ developer maybe i could help) Aug 12 2011
Hey,
Your project seems really nice, but where's the source code? Aug 12 2011